Ubuntu

Activity log for bug #987163

Date Who What changed Old value New value Message
2012-04-23 08:23:27 Jean-Baptiste Lallement bug added bug
2012-04-23 08:39:45 David Henningsson affects pulseaudio (Ubuntu) alsa-lib (Ubuntu)
2012-04-23 08:39:45 David Henningsson alsa-lib (Ubuntu): status New In Progress
2012-04-23 08:39:54 David Henningsson alsa-lib (Ubuntu): assignee David Henningsson (diwic)
2012-04-23 08:39:59 David Henningsson alsa-lib (Ubuntu): importance Undecided Low
2012-05-11 21:46:29 David Henningsson description Follow-up of bug 981149 ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: pulseaudio 1:1.1-0ubuntu15 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14 Uname: Linux 3.2.0-23-generic x86_64 NonfreeKernelModules: fglrx AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 2.0.1-0ubuntu5 Architecture: amd64 Card0.Amixer.info: Card hw:0 'SB'/'HDA ATI SB at 0xfe024000 irq 16' Mixer name : 'Realtek ALC892' Components : 'HDA:10ec0892,1458a102,00100302' Controls : 45 Simple ctrls : 20 Card1.Amixer.info: Card hw:1 'U0x46d0x809'/'USB Device 0x46d:0x809 at usb-0000:02:00.0-1.2, high speed' Mixer name : 'USB Mixer' Components : 'USB046d:0809' Controls : 2 Simple ctrls : 1 Card1.Amixer.values: Simple mixer control 'Mic',0 Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum Capture channels: Mono Limits: Capture 0 - 17 Mono: Capture 11 [65%] [22.17dB] [on] Card2.Amixer.info: Card hw:2 'Generic'/'HD-Audio Generic at 0xfdefc000 irq 52' Mixer name : 'ATI R6xx HDMI' Components : 'HDA:1002aa01,00aa0100,00100200' Controls : 6 Simple ctrls : 1 Card2.Amixer.values: Simple mixer control 'IEC958',0 Capabilities: pswitch pswitch-joined penum Playback channels: Mono Mono: Playback [on] Card3.Amixer.info: Card hw:3 'Headset'/'Logitech Logitech Wireless Headset at usb-0000:00:16.0-4, full speed' Mixer name : 'USB Mixer' Components : 'USB046d:0a29' Controls : 3 Simple ctrls : 2 Date: Mon Apr 23 10:21:19 2012 ProcEnviron: TERM=xterm PATH=(custom, user) LANG=en_US.UTF-8 SHELL=/bin/bash SourcePackage: pulseaudio UpgradeStatus: Upgraded to precise on 2012-01-31 (82 days ago) dmi.bios.date: 07/23/2010 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: FD dmi.board.name: GA-890GPA-UD3H dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.chassis.vendor: Gigabyte Technology Co., Ltd. dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd07/23/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr: dmi.product.name: GA-890GPA-UD3H dmi.sys.vendor: Gigabyte Technology Co., Ltd. SRU Justification: [Impact] Some USB headsets still show digital profiles at times. This shows up in the new sound settings dialog as a separate device. The device shouldn't be there. [Development Fix] http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-lib/ubuntu.quantal/revision/123 [Stable Fix] [Test Case] Connect your USB headset and then open the sound settings and see if you get an analog device (correct) or one analog and one digital device (incorrect) [Regression Risk] Minimal as it targets specific hardware and nothing else. Follow-up of bug 981149 ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: pulseaudio 1:1.1-0ubuntu15 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14 Uname: Linux 3.2.0-23-generic x86_64 NonfreeKernelModules: fglrx AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 2.0.1-0ubuntu5 Architecture: amd64 Card0.Amixer.info:  Card hw:0 'SB'/'HDA ATI SB at 0xfe024000 irq 16'    Mixer name : 'Realtek ALC892'    Components : 'HDA:10ec0892,1458a102,00100302'    Controls : 45    Simple ctrls : 20 Card1.Amixer.info:  Card hw:1 'U0x46d0x809'/'USB Device 0x46d:0x809 at usb-0000:02:00.0-1.2, high speed'    Mixer name : 'USB Mixer'    Components : 'USB046d:0809'    Controls : 2    Simple ctrls : 1 Card1.Amixer.values:  Simple mixer control 'Mic',0    Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum    Capture channels: Mono    Limits: Capture 0 - 17    Mono: Capture 11 [65%] [22.17dB] [on] Card2.Amixer.info:  Card hw:2 'Generic'/'HD-Audio Generic at 0xfdefc000 irq 52'    Mixer name : 'ATI R6xx HDMI'    Components : 'HDA:1002aa01,00aa0100,00100200'    Controls : 6    Simple ctrls : 1 Card2.Amixer.values:  Simple mixer control 'IEC958',0    Capabilities: pswitch pswitch-joined penum    Playback channels: Mono    Mono: Playback [on] Card3.Amixer.info:  Card hw:3 'Headset'/'Logitech Logitech Wireless Headset at usb-0000:00:16.0-4, full speed'    Mixer name : 'USB Mixer'    Components : 'USB046d:0a29'    Controls : 3    Simple ctrls : 2 Date: Mon Apr 23 10:21:19 2012 ProcEnviron:  TERM=xterm  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash SourcePackage: pulseaudio UpgradeStatus: Upgraded to precise on 2012-01-31 (82 days ago) dmi.bios.date: 07/23/2010 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: FD dmi.board.name: GA-890GPA-UD3H dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.chassis.vendor: Gigabyte Technology Co., Ltd. dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd07/23/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr: dmi.product.name: GA-890GPA-UD3H dmi.sys.vendor: Gigabyte Technology Co., Ltd.
2012-05-11 21:54:04 David Henningsson description SRU Justification: [Impact] Some USB headsets still show digital profiles at times. This shows up in the new sound settings dialog as a separate device. The device shouldn't be there. [Development Fix] http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-lib/ubuntu.quantal/revision/123 [Stable Fix] [Test Case] Connect your USB headset and then open the sound settings and see if you get an analog device (correct) or one analog and one digital device (incorrect) [Regression Risk] Minimal as it targets specific hardware and nothing else. Follow-up of bug 981149 ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: pulseaudio 1:1.1-0ubuntu15 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14 Uname: Linux 3.2.0-23-generic x86_64 NonfreeKernelModules: fglrx AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 2.0.1-0ubuntu5 Architecture: amd64 Card0.Amixer.info:  Card hw:0 'SB'/'HDA ATI SB at 0xfe024000 irq 16'    Mixer name : 'Realtek ALC892'    Components : 'HDA:10ec0892,1458a102,00100302'    Controls : 45    Simple ctrls : 20 Card1.Amixer.info:  Card hw:1 'U0x46d0x809'/'USB Device 0x46d:0x809 at usb-0000:02:00.0-1.2, high speed'    Mixer name : 'USB Mixer'    Components : 'USB046d:0809'    Controls : 2    Simple ctrls : 1 Card1.Amixer.values:  Simple mixer control 'Mic',0    Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum    Capture channels: Mono    Limits: Capture 0 - 17    Mono: Capture 11 [65%] [22.17dB] [on] Card2.Amixer.info:  Card hw:2 'Generic'/'HD-Audio Generic at 0xfdefc000 irq 52'    Mixer name : 'ATI R6xx HDMI'    Components : 'HDA:1002aa01,00aa0100,00100200'    Controls : 6    Simple ctrls : 1 Card2.Amixer.values:  Simple mixer control 'IEC958',0    Capabilities: pswitch pswitch-joined penum    Playback channels: Mono    Mono: Playback [on] Card3.Amixer.info:  Card hw:3 'Headset'/'Logitech Logitech Wireless Headset at usb-0000:00:16.0-4, full speed'    Mixer name : 'USB Mixer'    Components : 'USB046d:0a29'    Controls : 3    Simple ctrls : 2 Date: Mon Apr 23 10:21:19 2012 ProcEnviron:  TERM=xterm  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash SourcePackage: pulseaudio UpgradeStatus: Upgraded to precise on 2012-01-31 (82 days ago) dmi.bios.date: 07/23/2010 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: FD dmi.board.name: GA-890GPA-UD3H dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.chassis.vendor: Gigabyte Technology Co., Ltd. dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd07/23/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr: dmi.product.name: GA-890GPA-UD3H dmi.sys.vendor: Gigabyte Technology Co., Ltd. SRU Justification: [Impact] Some USB headsets still show digital profiles at times. This shows up in the new sound settings dialog as a separate device. The device shouldn't be there. [Development Fix] Add quirks for these headsets. http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-lib/ubuntu.quantal/revision/123 [Stable Fix] [Test Case] Connect your USB headset and then open the sound settings and see if you get an analog device (correct) or one analog and one digital device (incorrect) [Regression Risk] Minimal as it targets specific hardware and nothing else. Follow-up of bug 981149 ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: pulseaudio 1:1.1-0ubuntu15 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14 Uname: Linux 3.2.0-23-generic x86_64 NonfreeKernelModules: fglrx AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 2.0.1-0ubuntu5 Architecture: amd64 Card0.Amixer.info:  Card hw:0 'SB'/'HDA ATI SB at 0xfe024000 irq 16'    Mixer name : 'Realtek ALC892'    Components : 'HDA:10ec0892,1458a102,00100302'    Controls : 45    Simple ctrls : 20 Card1.Amixer.info:  Card hw:1 'U0x46d0x809'/'USB Device 0x46d:0x809 at usb-0000:02:00.0-1.2, high speed'    Mixer name : 'USB Mixer'    Components : 'USB046d:0809'    Controls : 2    Simple ctrls : 1 Card1.Amixer.values:  Simple mixer control 'Mic',0    Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum    Capture channels: Mono    Limits: Capture 0 - 17    Mono: Capture 11 [65%] [22.17dB] [on] Card2.Amixer.info:  Card hw:2 'Generic'/'HD-Audio Generic at 0xfdefc000 irq 52'    Mixer name : 'ATI R6xx HDMI'    Components : 'HDA:1002aa01,00aa0100,00100200'    Controls : 6    Simple ctrls : 1 Card2.Amixer.values:  Simple mixer control 'IEC958',0    Capabilities: pswitch pswitch-joined penum    Playback channels: Mono    Mono: Playback [on] Card3.Amixer.info:  Card hw:3 'Headset'/'Logitech Logitech Wireless Headset at usb-0000:00:16.0-4, full speed'    Mixer name : 'USB Mixer'    Components : 'USB046d:0a29'    Controls : 3    Simple ctrls : 2 Date: Mon Apr 23 10:21:19 2012 ProcEnviron:  TERM=xterm  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash SourcePackage: pulseaudio UpgradeStatus: Upgraded to precise on 2012-01-31 (82 days ago) dmi.bios.date: 07/23/2010 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: FD dmi.board.name: GA-890GPA-UD3H dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.chassis.vendor: Gigabyte Technology Co., Ltd. dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd07/23/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr: dmi.product.name: GA-890GPA-UD3H dmi.sys.vendor: Gigabyte Technology Co., Ltd.
2012-05-11 22:39:35 David Henningsson attachment added sru.debdiff https://bugs.launchpad.net/ubuntu/+source/alsa-lib/+bug/987163/+attachment/3141987/+files/sru.debdiff
2012-05-11 22:40:02 David Henningsson description SRU Justification: [Impact] Some USB headsets still show digital profiles at times. This shows up in the new sound settings dialog as a separate device. The device shouldn't be there. [Development Fix] Add quirks for these headsets. http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-lib/ubuntu.quantal/revision/123 [Stable Fix] [Test Case] Connect your USB headset and then open the sound settings and see if you get an analog device (correct) or one analog and one digital device (incorrect) [Regression Risk] Minimal as it targets specific hardware and nothing else. Follow-up of bug 981149 ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: pulseaudio 1:1.1-0ubuntu15 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14 Uname: Linux 3.2.0-23-generic x86_64 NonfreeKernelModules: fglrx AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 2.0.1-0ubuntu5 Architecture: amd64 Card0.Amixer.info:  Card hw:0 'SB'/'HDA ATI SB at 0xfe024000 irq 16'    Mixer name : 'Realtek ALC892'    Components : 'HDA:10ec0892,1458a102,00100302'    Controls : 45    Simple ctrls : 20 Card1.Amixer.info:  Card hw:1 'U0x46d0x809'/'USB Device 0x46d:0x809 at usb-0000:02:00.0-1.2, high speed'    Mixer name : 'USB Mixer'    Components : 'USB046d:0809'    Controls : 2    Simple ctrls : 1 Card1.Amixer.values:  Simple mixer control 'Mic',0    Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum    Capture channels: Mono    Limits: Capture 0 - 17    Mono: Capture 11 [65%] [22.17dB] [on] Card2.Amixer.info:  Card hw:2 'Generic'/'HD-Audio Generic at 0xfdefc000 irq 52'    Mixer name : 'ATI R6xx HDMI'    Components : 'HDA:1002aa01,00aa0100,00100200'    Controls : 6    Simple ctrls : 1 Card2.Amixer.values:  Simple mixer control 'IEC958',0    Capabilities: pswitch pswitch-joined penum    Playback channels: Mono    Mono: Playback [on] Card3.Amixer.info:  Card hw:3 'Headset'/'Logitech Logitech Wireless Headset at usb-0000:00:16.0-4, full speed'    Mixer name : 'USB Mixer'    Components : 'USB046d:0a29'    Controls : 3    Simple ctrls : 2 Date: Mon Apr 23 10:21:19 2012 ProcEnviron:  TERM=xterm  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash SourcePackage: pulseaudio UpgradeStatus: Upgraded to precise on 2012-01-31 (82 days ago) dmi.bios.date: 07/23/2010 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: FD dmi.board.name: GA-890GPA-UD3H dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.chassis.vendor: Gigabyte Technology Co., Ltd. dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd07/23/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr: dmi.product.name: GA-890GPA-UD3H dmi.sys.vendor: Gigabyte Technology Co., Ltd. SRU Justification: [Impact] Some USB headsets still show digital profiles at times. This shows up in the new sound settings dialog as a separate device. The device shouldn't be there. [Development Fix] Add quirks for these headsets. http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-lib/ubuntu.quantal/revision/123 [Stable Fix] Add quirks for these headsets. See attached sru.debdiff. [Test Case] Connect your USB headset and then open the sound settings and see if you get an analog device (correct) or one analog and one digital device (incorrect) [Regression Risk] Minimal as it targets specific hardware and nothing else. Follow-up of bug 981149 ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: pulseaudio 1:1.1-0ubuntu15 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14 Uname: Linux 3.2.0-23-generic x86_64 NonfreeKernelModules: fglrx AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 2.0.1-0ubuntu5 Architecture: amd64 Card0.Amixer.info:  Card hw:0 'SB'/'HDA ATI SB at 0xfe024000 irq 16'    Mixer name : 'Realtek ALC892'    Components : 'HDA:10ec0892,1458a102,00100302'    Controls : 45    Simple ctrls : 20 Card1.Amixer.info:  Card hw:1 'U0x46d0x809'/'USB Device 0x46d:0x809 at usb-0000:02:00.0-1.2, high speed'    Mixer name : 'USB Mixer'    Components : 'USB046d:0809'    Controls : 2    Simple ctrls : 1 Card1.Amixer.values:  Simple mixer control 'Mic',0    Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum    Capture channels: Mono    Limits: Capture 0 - 17    Mono: Capture 11 [65%] [22.17dB] [on] Card2.Amixer.info:  Card hw:2 'Generic'/'HD-Audio Generic at 0xfdefc000 irq 52'    Mixer name : 'ATI R6xx HDMI'    Components : 'HDA:1002aa01,00aa0100,00100200'    Controls : 6    Simple ctrls : 1 Card2.Amixer.values:  Simple mixer control 'IEC958',0    Capabilities: pswitch pswitch-joined penum    Playback channels: Mono    Mono: Playback [on] Card3.Amixer.info:  Card hw:3 'Headset'/'Logitech Logitech Wireless Headset at usb-0000:00:16.0-4, full speed'    Mixer name : 'USB Mixer'    Components : 'USB046d:0a29'    Controls : 3    Simple ctrls : 2 Date: Mon Apr 23 10:21:19 2012 ProcEnviron:  TERM=xterm  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash SourcePackage: pulseaudio UpgradeStatus: Upgraded to precise on 2012-01-31 (82 days ago) dmi.bios.date: 07/23/2010 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: FD dmi.board.name: GA-890GPA-UD3H dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.chassis.vendor: Gigabyte Technology Co., Ltd. dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd07/23/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr: dmi.product.name: GA-890GPA-UD3H dmi.sys.vendor: Gigabyte Technology Co., Ltd.
2012-05-11 22:43:49 David Henningsson description SRU Justification: [Impact] Some USB headsets still show digital profiles at times. This shows up in the new sound settings dialog as a separate device. The device shouldn't be there. [Development Fix] Add quirks for these headsets. http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-lib/ubuntu.quantal/revision/123 [Stable Fix] Add quirks for these headsets. See attached sru.debdiff. [Test Case] Connect your USB headset and then open the sound settings and see if you get an analog device (correct) or one analog and one digital device (incorrect) [Regression Risk] Minimal as it targets specific hardware and nothing else. Follow-up of bug 981149 ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: pulseaudio 1:1.1-0ubuntu15 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14 Uname: Linux 3.2.0-23-generic x86_64 NonfreeKernelModules: fglrx AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 2.0.1-0ubuntu5 Architecture: amd64 Card0.Amixer.info:  Card hw:0 'SB'/'HDA ATI SB at 0xfe024000 irq 16'    Mixer name : 'Realtek ALC892'    Components : 'HDA:10ec0892,1458a102,00100302'    Controls : 45    Simple ctrls : 20 Card1.Amixer.info:  Card hw:1 'U0x46d0x809'/'USB Device 0x46d:0x809 at usb-0000:02:00.0-1.2, high speed'    Mixer name : 'USB Mixer'    Components : 'USB046d:0809'    Controls : 2    Simple ctrls : 1 Card1.Amixer.values:  Simple mixer control 'Mic',0    Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum    Capture channels: Mono    Limits: Capture 0 - 17    Mono: Capture 11 [65%] [22.17dB] [on] Card2.Amixer.info:  Card hw:2 'Generic'/'HD-Audio Generic at 0xfdefc000 irq 52'    Mixer name : 'ATI R6xx HDMI'    Components : 'HDA:1002aa01,00aa0100,00100200'    Controls : 6    Simple ctrls : 1 Card2.Amixer.values:  Simple mixer control 'IEC958',0    Capabilities: pswitch pswitch-joined penum    Playback channels: Mono    Mono: Playback [on] Card3.Amixer.info:  Card hw:3 'Headset'/'Logitech Logitech Wireless Headset at usb-0000:00:16.0-4, full speed'    Mixer name : 'USB Mixer'    Components : 'USB046d:0a29'    Controls : 3    Simple ctrls : 2 Date: Mon Apr 23 10:21:19 2012 ProcEnviron:  TERM=xterm  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash SourcePackage: pulseaudio UpgradeStatus: Upgraded to precise on 2012-01-31 (82 days ago) dmi.bios.date: 07/23/2010 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: FD dmi.board.name: GA-890GPA-UD3H dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.chassis.vendor: Gigabyte Technology Co., Ltd. dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd07/23/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr: dmi.product.name: GA-890GPA-UD3H dmi.sys.vendor: Gigabyte Technology Co., Ltd. SRU Justification: [Impact] Some USB headsets still show digital profiles at times. This shows up in the new sound settings dialog as a separate device. The device shouldn't be there. [Development Fix] Add quirks for these headsets. http://bazaar.launchpad.net/~ubuntu-audio-dev/alsa-lib/ubuntu.quantal/revision/123 [Stable Fix] Add quirks for these headsets. See attached sru.debdiff. [Test Case] Connect your USB headset and then open the sound settings and see if you get an analog device (correct) or one analog and one digital device (incorrect). Note: sometimes the digital device does not show up even though the patch is not applied. [Regression Risk] Minimal as it targets specific hardware and nothing else. Follow-up of bug 981149 ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: pulseaudio 1:1.1-0ubuntu15 ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14 Uname: Linux 3.2.0-23-generic x86_64 NonfreeKernelModules: fglrx AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 2.0.1-0ubuntu5 Architecture: amd64 Card0.Amixer.info:  Card hw:0 'SB'/'HDA ATI SB at 0xfe024000 irq 16'    Mixer name : 'Realtek ALC892'    Components : 'HDA:10ec0892,1458a102,00100302'    Controls : 45    Simple ctrls : 20 Card1.Amixer.info:  Card hw:1 'U0x46d0x809'/'USB Device 0x46d:0x809 at usb-0000:02:00.0-1.2, high speed'    Mixer name : 'USB Mixer'    Components : 'USB046d:0809'    Controls : 2    Simple ctrls : 1 Card1.Amixer.values:  Simple mixer control 'Mic',0    Capabilities: cvolume cvolume-joined cswitch cswitch-joined penum    Capture channels: Mono    Limits: Capture 0 - 17    Mono: Capture 11 [65%] [22.17dB] [on] Card2.Amixer.info:  Card hw:2 'Generic'/'HD-Audio Generic at 0xfdefc000 irq 52'    Mixer name : 'ATI R6xx HDMI'    Components : 'HDA:1002aa01,00aa0100,00100200'    Controls : 6    Simple ctrls : 1 Card2.Amixer.values:  Simple mixer control 'IEC958',0    Capabilities: pswitch pswitch-joined penum    Playback channels: Mono    Mono: Playback [on] Card3.Amixer.info:  Card hw:3 'Headset'/'Logitech Logitech Wireless Headset at usb-0000:00:16.0-4, full speed'    Mixer name : 'USB Mixer'    Components : 'USB046d:0a29'    Controls : 3    Simple ctrls : 2 Date: Mon Apr 23 10:21:19 2012 ProcEnviron:  TERM=xterm  PATH=(custom, user)  LANG=en_US.UTF-8  SHELL=/bin/bash SourcePackage: pulseaudio UpgradeStatus: Upgraded to precise on 2012-01-31 (82 days ago) dmi.bios.date: 07/23/2010 dmi.bios.vendor: Award Software International, Inc. dmi.bios.version: FD dmi.board.name: GA-890GPA-UD3H dmi.board.vendor: Gigabyte Technology Co., Ltd. dmi.board.version: x.x dmi.chassis.type: 3 dmi.chassis.vendor: Gigabyte Technology Co., Ltd. dmi.modalias: dmi:bvnAwardSoftwareInternational,Inc.:bvrFD:bd07/23/2010:svnGigabyteTechnologyCo.,Ltd.:pnGA-890GPA-UD3H:pvr:rvnGigabyteTechnologyCo.,Ltd.:rnGA-890GPA-UD3H:rvrx.x:cvnGigabyteTechnologyCo.,Ltd.:ct3:cvr: dmi.product.name: GA-890GPA-UD3H dmi.sys.vendor: Gigabyte Technology Co., Ltd.
2012-05-12 00:14:57 Ubuntu Foundations Team Bug Bot tags amd64 apport-bug precise amd64 apport-bug patch precise
2012-05-15 01:10:33 Launchpad Janitor alsa-lib (Ubuntu): status In Progress Fix Released
2012-05-15 02:15:32 Launchpad Janitor branch linked lp:ubuntu/alsa-lib
2012-05-17 03:23:58 Chris Halse Rogers nominated for series Ubuntu Precise
2012-05-17 03:23:58 Chris Halse Rogers bug task added alsa-lib (Ubuntu Precise)
2012-05-17 03:24:31 Chris Halse Rogers alsa-lib (Ubuntu Precise): status New Fix Committed
2012-05-17 03:24:33 Chris Halse Rogers bug added subscriber Ubuntu Stable Release Updates Team
2012-05-17 03:24:36 Chris Halse Rogers bug added subscriber SRU Verification
2012-05-17 03:24:39 Chris Halse Rogers tags amd64 apport-bug patch precise amd64 apport-bug patch precise verification-needed
2012-05-17 04:19:17 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/alsa-lib
2012-05-24 17:26:38 Sebastien Bacher alsa-lib (Ubuntu Precise): importance Undecided Low
2012-05-25 06:55:15 Jean-Baptiste Lallement tags amd64 apport-bug patch precise verification-needed amd64 apport-bug patch precise verification-done
2012-05-25 16:46:09 Launchpad Janitor alsa-lib (Ubuntu Precise): status Fix Committed Fix Released